@import '../../styles/variables.scss';

.navigation {
  height: 64px;

  &.__filters {
    height: 113px;
  }

  &_fixed {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 5;

    width: 100%;

    background-color: #fff;
  }

  &_container {
    padding: 20px;
    box-sizing: border-box;

    border-bottom: 1px solid $gray-1;
  }

  &_wrapper {
    margin: 0 auto;

    max-width: $breakpoint-5;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  &_burger {
    @include reset-button;

    display: flex;
    flex-direction: column;

    & span {
      margin-bottom: 3px;

      width: 15px;
      height: 2px;
      display: inline-block;

      background-color: $black;

      &:last-child {
        margin-bottom: 0;
      }
    }
  }
}

@media(min-width: $breakpoint-2) {
  .navigation {
    &_burger {
      cursor: pointer;

      & span {
        opacity: .8;
      }

      &:hover {
        & span  {
          opacity: 1;
        }
      }
    }
  }
}
